Page MenuHomePhabricator

Use '{{' and '^==' wikitext fragments as keyboard shortcuts
Closed, ResolvedPublic

Description

  1. when i type "{{", remove it from the page and pretend i pressed the "edit template" button.
  2. if you can find a good response to "==", do this also.

Details

Reference
bz51897
Related Gerrit Patches:
mediawiki/extensions/VisualEditor : masterIf the user types in '==' at the start of a line, make it an H2

Event Timeline

bzimport raised the priority of this task from to Low.Nov 22 2014, 2:04 AM
bzimport set Reference to bz51897.
Kipod created this task.Jul 23 2013, 6:15 PM
  • This bug has been marked as a duplicate of bug 49686 ***

(In reply to comment #1)

  • This bug has been marked as a duplicate of bug 49686 ***

Following discussion at bug 49686 (particularly Chris McKenna's wonderful analysis in bug 49686 comment 28), it's become clear that this request (bug 51897) is distinct from the request being made in bug 49686.

I firmly believe that this request should be handled separately (though it may indeed have the same outcome); I'm un-marking this bug as a duplicate.

turingt wrote:

In anticipation of someone introducing the slippery slope argument that "but if you do this you'll have to support all wikicode!!!": If this is implemented, you ''won't'' have to support all wikicode and parse it on the fly. This is not what is being asked at this bug.

If you really want to support the uncommon case that someone really wanted to introduce two brackets (something that is useful only for discussing wikicode, nd therefore only for experienced users), you can always include a "[[" symbol at the symbol toolbar.

In good user interface design, you optimize for the frequent case and create workarounds for the exceptional situations, not the other way around. This is not an all-or-nothing proposition; you can put a hard limit on what you won't do, but it can be located at a useful place - the one that recognizes that "you probably wanted to insert a wikilink" and that answers with "here, this is the standard way to insert a wikilink now" instead of "wikicode is not supported, I'm discarding your user action". The second one is much more friendly for infrequent users that learned just enough wikicode to insert a wikilink and not much more.

Given the cryptic name name and description of this bug, I can't help but recall http://ars.userfriendly.org/cartoons/?id=20011121

Hopefully it is now clearer. I'm not sure it could be more opaque. :-)

Kipod added a comment.Jul 29 2013, 8:35 PM

(In reply to comment #4)

Given the cryptic name name and description of this bug, I can't help but
recall http://ars.userfriendly.org/cartoons/?id=20011121
Hopefully it is now clearer. I'm not sure it could be more opaque. :-)

regarding the original synopsis ("Please DWIM when i press "[[", "{{", "==" etc."), the truth/beauty/whatever is in the eye of the beholder (personally, i think the original synopsis was better and clearer than the current one, but again, it's in the eye of the beholder).
however, comment #0 is only cryptic if one doesn't bother to read it.
it states as plainly and clearly as humanly possible what is the requested action (surprisingly, under "REQUESTED ACTION").

VE was activated today on hewiki for anons (only several hours ago), and we already see proliferation of "nowiki" tags enclosing internal links (popup and all notwithstanding).

it is somewhat frustrating that this problem was reported months ago, it became very clear, through actual usage, that the popup warning is not enough to solve it, and yet the VE team broadcast an air of indifference/complacency/arrogance when discussing the issue, either by closing with "WONTFIX", assigning priority "low", or throwing snide remarks when we report the issue and ask for (well defined) solutions (and first and foremost, of course, simply by not fixing it).

peace.

Jdforrester-WMF renamed this task from VisualEditor: Use some wikitext fragments as duplicate keyboard shortcuts to Use '{{' and '$==' wikitext fragments as keyboard shortcuts.Nov 26 2014, 1:36 AM
Jdforrester-WMF claimed this task.
Jdforrester-WMF updated the task description. (Show Details)
Jdforrester-WMF set Security to None.
Jdforrester-WMF updated the task description. (Show Details)
Catrope renamed this task from Use '{{' and '$==' wikitext fragments as keyboard shortcuts to Use '{{' and '^==' wikitext fragments as keyboard shortcuts.Nov 26 2014, 1:39 AM

I've cleaned up the ask here, removing duplication (yay Phabricator).

  1. if it's possible to convince VE to be nicer when i type '' or ''' or ''''', this would be grand.

I think this would be a mistake. Italics and bold are rare in practice when writing content.

  1. of course, if VE finds unbalanced '', ''', or <newLine>={1,4}, when trying to save, it would be nice if it can warn me then.

This should be opened as a distinct task. Also, I think this isn't the right approach; helping communities clean up their wikitext is something bigger than just a single editing interface, and it would make more sense to warn people when they're editing wikitext that their wikitext sucks. :-)

Change 175919 had a related patch set uploaded (by Jforrester):
If the user types in '==' at the start of a line, make it an H2

https://gerrit.wikimedia.org/r/175919

Patch-For-Review

Jdforrester-WMF moved this task from Freezer to Q4 on the VisualEditor board.Nov 26 2014, 1:57 AM

Change 175919 merged by jenkins-bot:
If the user types in '==' at the start of a line, make it an H2

https://gerrit.wikimedia.org/r/175919

Kipod added a comment.Nov 26 2014, 5:52 PM

i could not see whether this patch fixed only ^== or also {{ and [[.
if the former, then i do not think it's a good idea to close it: most of the "<nowiki> tags appear as a result of erroneous use of [[

peace.

i could not see whether this patch fixed only ^== or also {{ and [[.
if the former, then i do not think it's a good idea to close it: most of the "<nowiki> tags appear as a result of erroneous use of [[
peace.

T52093.